# Interface ColorKit

All Known Implementing Classes:
  `AuxColorKit, FixedColorKit`

public interface ColorKit
Rule for colouring points according to data values.

Since:
  23 Jul 2018
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Color`
`readColor(Tuple tuple)`
Acquires a colour appropriate for a given tuple.

## Method Details

### readColor

Color readColor(Tuple tuple)
Acquires a colour appropriate for a given tuple.

Parameters:
  `tuple` - tuple
Returns:
  plotting colour, or null to omit point